- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.users/batchUpdate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.users/batchUpdate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.users/batchUpdate#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.users/batchUpdate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.users/batchUpdate#body.response_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.users/batchUpdate#body.BatchUpdateUsersResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.users/batchUpdate#body.aspect)
- [UpdateUserRequest](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.users/batchUpdate#UpdateUserRequest)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.users/batchUpdate#UpdateUserRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.users/batchUpdate#try-it)

Batch updates `User` objects.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/users:batchUpdate`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where `Users` will be updated. Format: `networks/{networkCode}` The parent field in the UpdateUserRequest must match this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.users/batchUpdate#UpdateUserRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.users/batchUpdate#UpdateUserRequest`)`` Required. The `User` objects to update. A maximum of 100 objects can be updated in a batch. |

### Response body

Response object for `users.batchUpdate` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "users": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.users#User`) } ] } ``` |

| Fields ||
|---|---|
| `users[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.users#User`)`` The `User` objects updated. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## UpdateUserRequest

Request object for `users.patch` method.

| JSON representation |
|---|
| ``` { "user": { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.users#User`) }, "updateMask": string } ``` |

| Fields ||
|---|---|
| `user` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.users#User`)`` Required. The `User` to update. |
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. The list of fields to update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |